kudu-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From a...@apache.org
Subject [kudu] 02/03: [Java] Upgrade dependencies
Date Sat, 02 Feb 2019 18:49:23 GMT
This is an automated email from the ASF dual-hosted git repository.

adar pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/kudu.git

commit 1f45141f63488548fde19735582b715af6a45e95
Author: Grant Henke <granthenke@apache.org>
AuthorDate: Fri Feb 1 15:22:50 2019 -0600

    [Java] Upgrade dependencies
    
    Upgrades the Java dependencies and Gradle versions.
    
    Minor version upgrades:
    - flume 1.8.0 -> 1.9.0
    - hadoop 3.1.1 -> 3.2.0
    - yetus 0.7.0 -> 0.9.0
    
    Maintenance version upgrades:
    - guava 27.0-android -> 27.0.1-android
    - parquet 1.10.0 -> 1.10.1
    - scopt 3.7.0 -> 3.7.1
    
    Gradle upgrades:
    - gradle 5.0.0 -> 5.1.1
    - shadow 4.0.2 -> 4.0.4
    - protobuf-gradle-plugin 0.8.7 -> 0.8.8
    - nebula-clojure-plugin 7.0.1 -> 8.0.0
    - spotbugs-gradle-plugin 1.6.5 -> 1.6.9
    - gradle-scalafmt 1.7.0 -> 1.7.2
    
    Change-Id: I80799a2e0a94788dfd77edde1fab6b47e5695d22
    Reviewed-on: http://gerrit.cloudera.org:8080/12336
    Tested-by: Kudu Jenkins
    Reviewed-by: Adar Dembo <adar@cloudera.com>
---
 java/buildSrc/build.gradle                    | 10 +++++-----
 java/gradle/dependencies.gradle               | 14 +++++++-------
 java/gradle/wrapper/gradle-wrapper.properties |  2 +-
 java/gradlew                                  |  2 +-
 4 files changed, 14 insertions(+), 14 deletions(-)

diff --git a/java/buildSrc/build.gradle b/java/buildSrc/build.gradle
index 9fd924e..fe3c365 100644
--- a/java/buildSrc/build.gradle
+++ b/java/buildSrc/build.gradle
@@ -30,15 +30,15 @@ repositories {
 dependencies {
   compile "com.commercehub.gradle.plugin:gradle-avro-plugin:0.16.0"
   compile "com.github.ben-manes:gradle-versions-plugin:0.20.0"
-  compile "com.github.jengelman.gradle.plugins:shadow:4.0.2"
-  compile "com.google.protobuf:protobuf-gradle-plugin:0.8.7"
-  compile "com.netflix.nebula:nebula-clojure-plugin:7.0.1"
-  compile "gradle.plugin.com.github.spotbugs:spotbugs-gradle-plugin:1.6.5"
+  compile "com.github.jengelman.gradle.plugins:shadow:4.0.4"
+  compile "com.google.protobuf:protobuf-gradle-plugin:0.8.8"
+  compile "com.netflix.nebula:nebula-clojure-plugin:8.0.0"
+  compile "gradle.plugin.com.github.spotbugs:spotbugs-gradle-plugin:1.6.9"
   compile "io.spring.gradle:propdeps-plugin:0.0.9.RELEASE"
   compile "net.ltgt.gradle:gradle-errorprone-plugin:0.0.16"
   compile "ru.vyarus:gradle-animalsniffer-plugin:1.4.6"
   compile 'com.google.code.gson:gson:2.8.5'
-  compile "cz.alenkacz:gradle-scalafmt:1.7.0"
+  compile "cz.alenkacz:gradle-scalafmt:1.7.2"
 }
 
 // Compiler configuration
diff --git a/java/gradle/dependencies.gradle b/java/gradle/dependencies.gradle
index eafd537..017dbf6 100755
--- a/java/gradle/dependencies.gradle
+++ b/java/gradle/dependencies.gradle
@@ -33,12 +33,12 @@ versions += [
     // errorprone 2.3.2+ has an issue on older JDKs see
     // https://github.com/google/error-prone/issues/1140
     errorprone     : "2.3.1",
-    flume          : "1.8.0",
-    gradle         : "5.0",
+    flume          : "1.9.0",
+    gradle         : "5.1.1",
     // We use the android version instead of the jre version
     // to maintain Java 1.7 compatibility.
-    guava          : "27.0-android",
-    hadoop         : "3.1.1",
+    guava          : "27.0.1-android",
+    hadoop         : "3.2.0",
     hamcrest       : "1.3",
     hive           : "2.3.4",
     jepsen         : "0.1.5",
@@ -49,16 +49,16 @@ versions += [
     murmur         : "1.0.0",
     netty          : "3.10.6.Final",
     osdetector     : "1.6.1",
-    parquet        : "1.10.0",
+    parquet        : "1.10.1",
     pmd            : "5.8.1",
     protobuf       : "3.6.1",
     scala          : "2.11.12",
     scalatest      : "3.0.5",
-    scopt          : "3.7.0",
+    scopt          : "3.7.1",
     slf4j          : "1.7.25",
     spark          : "2.4.0",
     spotBugs       : "3.1.6",
-    yetus          : "0.8.0"
+    yetus          : "0.9.0"
 ]
 
 // Log the Gradle version used vs defined.
diff --git a/java/gradle/wrapper/gradle-wrapper.properties b/java/gradle/wrapper/gradle-wrapper.properties
index 3a8f801..19af522 100644
--- a/java/gradle/wrapper/gradle-wrapper.properties
+++ b/java/gradle/wrapper/gradle-wrapper.properties
@@ -14,6 +14,6 @@
 # limitations under the License.
 distributionBase=GRADLE_USER_HOME
 distributionPath=wrapper/dists
-distributionUrl=https\://services.gradle.org/distributions/gradle-5.0-all.zip
+distributionUrl=https\://services.gradle.org/distributions/gradle-5.1.1-all.zip
 zipStoreBase=GRADLE_USER_HOME
 zipStorePath=wrapper/dists
diff --git a/java/gradlew b/java/gradlew
index f3276ba..a68eae9 100755
--- a/java/gradlew
+++ b/java/gradlew
@@ -82,7 +82,7 @@ esac
 # Loop in case we encounter an error.
 for attempt in 1 2 3; do
   if [ ! -e $APP_HOME/gradle/wrapper/gradle-wrapper.jar ]; then
-    if ! curl -s -S --retry 3 -L -o "$APP_HOME/gradle/wrapper/gradle-wrapper.jar" "https://raw.githubusercontent.com/gradle/gradle/v5.0.0/gradle/wrapper/gradle-wrapper.jar";
then
+    if ! curl -s -S --retry 3 -L -o "$APP_HOME/gradle/wrapper/gradle-wrapper.jar" "https://raw.githubusercontent.com/gradle/gradle/v5.1.1/gradle/wrapper/gradle-wrapper.jar";
then
       rm -f "$APP_HOME/gradle/wrapper/gradle-wrapper.jar"
       # Pause for a bit before looping in case the server throttled us.
       sleep 5


Mime
View raw message